# List Registered Agents

## GET or POST Request

{% hint style="info" %}
<https://v1.api19.com/ra/agents/list>
{% endhint %}

Get a list of all of your registered agent addresses on your account for a specific company

| Argument    | Required | Type         |
| ----------- | -------- | ------------ |
| company\_id | yes      | company id   |
| key         | yes      | your api key |

{% tabs %}
{% tab title="Curl Post" %}

```php
curl https://v1.api19.com/ra/agents/list \
 -d 'company_id=h329fh23r' \
 -d 'key=api_token'
```

{% endtab %}

{% tab title="Curl Get" %}

```
curl https://v1.api19.com/ra/agents/list?company_id=32yg23&key=apikey
```

{% endtab %}

{% tab title="JSON Response" %}

```json
DATA:
{
    "status": "ok",
    "data": {
        "94ff01b3-2828-445a-8a99-5932e1234ce6": {
            "uu_id": "94ff01b3-2828-445a-8a99-5932e1234ce6",
            "company_id": "8fb10148-aa09-4038-88f4-26fa2f28978f",
            "ra_name": "Registered Agents Inc",
            "ra_address_1": "212 W. Main St.",
            "ra_address_2": "STE B",
            "ra_city": "Dothan",
            "ra_state": "AL",
            "ra_zip": "36303",
            "status": "active",
            "auto_renew": "no",
            "create_dt": "2025-05-11 16:43:36",
            "filed_date": "2025-05-11 21:00:24"
        },
    "company": "moo communications llc"
}

ERROR:
{
    "status": "error",
    "error": "Cannot locate company",
    "verbose": "none"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/registered-agent/list-registered-agents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
